<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background"
    android:paddingTop="10dp">

    <EditText
        android:id="@+id/edit_text"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:layout_marginLeft="14dp"
        android:layout_marginRight="8dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/shape_round_white_20dp"
        android:hint="回复楼主："
        android:paddingLeft="@dimen/margin_12"
        android:paddingRight="12dp"
        android:textSize="12sp"
        app:layout_constraintBottom_toTopOf="@id/emoji_view"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/iv_emoji"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_emoji"
        android:layout_width="27dp"
        android:layout_height="27dp"
        android:layout_marginRight="8dp"
        android:src="@drawable/keybord_ic_selector"
        app:layout_constraintBottom_toBottomOf="@id/edit_text"
        app:layout_constraintRight_toLeftOf="@id/tv_send"
        app:layout_constraintTop_toTopOf="@id/edit_text" />

    <TextView
        android:id="@+id/tv_send"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="10dp"
        android:background="@drawable/btn_bg_selector"
        android:paddingLeft="10dp"
        android:paddingTop="5dp"
        android:paddingRight="10dp"
        android:paddingBottom="5dp"
        android:text="发送"
        android:textColor="@color/white"
        app:layout_constraintBottom_toBottomOf="@id/edit_text"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/edit_text" />

    <com.bc_chat.contacts.view.EmojiPickerView
        android:id="@+id/emoji_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/edit_text" />
</android.support.constraint.ConstraintLayout>